import Vue from "vue";
import * as common from "./common";
export * from "./common";
export declare class Tree<T> extends Vue {
    data: common.TreeData<T>[];
    checkbox?: boolean;
    draggable?: boolean;
    nodots?: boolean;
    size?: string;
    theme?: string;
    dropAllowed?: (dropData: common.DropData<T>) => boolean;
    zindex?: number;
    preid?: string;
    dragTarget: HTMLElement | null;
    dropTarget: HTMLElement | null;
    readonly rootClassName: string;
    readonly containerClassName: string;
    canDrop(event: DragEvent): string | false | undefined;
    ontoggle(eventData: common.EventData<T>): void;
    onchange(eventData: common.EventData<T>): void;
    ondragstart(event: DragEvent): void;
    ondragend(event: DragEvent): void;
    ondragover(event: DragEvent): void;
    ondragenter(event: DragEvent): void;
    ondragleave(event: DragEvent): void;
    ondrop(event: DragEvent): void;
}
